Bug 437643 - LDAP domain controller failure: Account for user 'user' password must change!
LDAP domain controller failure: Account for user 'user' password must change!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.3
All Linux
low Severity urgent
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 13:28 EDT by Graham Leggett
Modified: 2010-04-26 10:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 10:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2008-03-15 13:28:17 EDT
After attempting to migrate an LDAP domain controller based samba config from
RHEL4 to RHEL5.1 (samba-3.0.25b), new users are unable to log in.

When they try, the following message is logged for the connection attempt:

[2008/03/15 21:12:50, 1] auth/auth_sam.c:sam_account_ok(172)
  sam_account_ok: Account for user 'minfrin' password must change!.
[2008/03/15 21:12:50, 1] auth/auth_sam.c:sam_account_ok(172)
  sam_account_ok: Account for user 'minfrin' password must change!.
[2008/03/15 21:12:50, 1] auth/auth_sam.c:sam_account_ok(172)
  sam_account_ok: Account for user 'minfrin' password must change!.

As a result of this, migration from RHEL4 to RHEL5.1 has been halted and we have
been forced to roll back.

A thread was found on the RHEL5 mailing list, but no solutions were posted:

http://www.mail-archive.com/rhelv5-list@redhat.com/msg01441.html

This issue might be related to this:

http://www.nabble.com/Re:-Strange-NT_STATUS_PASSWORD-errors-after-upgrade-to-3.0.26a-td15847364.html
Comment 1 Dmitri Pal 2010-04-26 10:41:13 EDT
We are pretty sure it is fixed with the current version.

Note You need to log in before you can comment on or make changes to this bug.